<div class="product">
  <h2>Products</h2>
  <div *ngFor="let product of products" class="product-list">
    <div class="product-item">
      <h3>
        <a
          [title]="product.name + ' ' + 'Detail'"
          [routerLink]="['/products', product.id]"
        >
          {{ product.name }}
        </a>
      </h3>
      <img src="{{ product.image }}" alt="Phone" />
    </div>
    <p *ngIf="product.description">
      {{ product.description }}
    </p>
    <button type="button" (click)="share()">Shares</button>

    <app-product-alert
      [product]="product"
      (notify)="onNotify()"
    ></app-product-alert>
  </div>
</div>
